ここの情報は古いです。ご理解頂いた上でお取り扱いください。

Opened 11 years ago

#2954 new defect

PHP4でメール投稿が出来ない

Reported by: pnetan Owned by: nobody
Priority: minor Milestone:
Component: 指定しない Version:
Keywords: 再現待ち Cc:

Description

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=18428 より転記

携帯メール投稿が動かなくなって一ヶ月も悩んできたが、やっと解決した。パイピングをPHP4ではなく、PHP5にしたら動いた。

旧 |/usr/bin/php /home/OPENPNE/bin/mail.php
新 |/ramdisk/bin/php5 /home/OPENPNE/bin/mail.php

標準で使っているのは、4.4.8であるが、サーバ運営会社は5.2.5への移行を薦めている。現在はユーザ側で選択できるようになっているが、いずれPHP4は使えなくなる。

ところがOpenPNEは、PHP5.2.xでの動作を薦めていないという。オーナーズサポートで、そういう書き込みがあって初めて知った。困ったことだ。XPは大丈夫だが、Vistaでは動かないというのと同じではないか?

レンタルサーバを変えたほうがいい・・・などとバカなことをいう人はいないだろうな。もちろんリスク管理から三社のレンタルサーバを使っているが、いずれもPHP5.2への移行を薦めている。

そういう趨勢をよく考えて開発をしてもらいたいものだ。5.2を推奨しないのなら、その理由を教えて欲しい。オーナーズサポートに書き込んでおいたが・・・。 

Change History (0)

Note: See TracTickets for help on using tickets.